Subject: Re: bug#47474: fossil: hash mismatch

From: Ludovic Courtès <[email-masked]>
Date: Tue, 05 Jul 2022 17:49:40 +0200

Hi!

Jack Hill <[email-masked]> skribis:

> I guess I ran into this because I was using `guix build` with
> `--no-substitutes`. Is it expected that we don't fallback to
> disarchive and Software Heritage in that case?

Yes, and that’s actually suboptimal:

  https://issues.guix.gnu.org/28659

> If so, I guess my problem was an operator error. Can we close this
> ticket then, or are we still missing the tarballs for the older
> releases?

We would need to check whether older releases are available.  Disarchive
is relatively recent so they’re likely to be missing there, but Timothy
Sample has a Disarchive database that goes several years back, unlike
disarchive.guix.gnu.org.  Worth checking!

Anyhow, I think this issue can be closed.

Ludo’.